Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001265Dwarf FortressAdventure Mode -- Movementpublic2010-04-16 21:492016-05-15 04:05
ReporterSalabasama 
Assigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusnewResolutionopen 
PlatformOSXPOS Versionx64
Product Version0.31.03 
Target VersionFixed in Version 
Summary0001265: Ramps covered with ice have no floors above, adventurer can "fly" over
DescriptionAbandoned fortress had number of ramps flooded by river. In adventure mode, river is frozen. The ice walls on the ramp tiles do not have floors on their tops. It is open space. If I alt-move over the open space, the adventurer is flying and can only move back to ground tiles.
Steps To ReproduceDig upward ramps on the level of a river. Fairly clear, I guess.
TagsFixed in 0.34.01?
Attached Files

- Relationships
related to 0000358confirmedFootkerchief Can't carve/mine ice stairways right above stone layer 
parent of 0001982new Carving ice ramp sometimes creates two ramps in the same tile -- one of ice, and of the layer stone 
parent of 0001981new Constructing wall/floor over ice ramp/stairs, followed by removing ramp/stairs, creates a "void tile" 
parent of 0001558new When water freezes/thaws on a ramp tile, upward ramp is left without corresponding downward ramp 
parent of 0003868new Strange tile behavior after water freezing/ice melting/building 
parent of 0000227new After ice melts, constructions float on it until a save/load 
has duplicate 0001671closedFootkerchief Freezing Ramps have no floor 
has duplicate 0001008closedFootkerchief There's "Open space" between Frozen sea and the land. 
has duplicate 0002198closedFootkerchief water freezings creates an ice block but no ice floor on the upper tile 
has duplicate 0000180resolvedFootkerchief Aquafer freezes without walkable floor 
has duplicate 0003449resolvedLogical2u Frozen lakes in Adventure Mode have walkable 'open space' around perimeter 
has duplicate 0004742resolvedFootkerchief Freezing ice doesn't leave a surface on top of the wall 
has duplicate 0004710resolvedLogical2u Ability to walk over open space 
related to 0001670closedFootkerchief River falling into a lake... two z-levels above it 
related to 0001099resolvedlethosor "Flying" in a 6/7 water tile with neighboring 7/7 water tiles underground. 
related to 0003905confirmedFootkerchief Ice's Effect on Subterranean/Above Ground Irregular 
related to 0001932confirmedFootkerchief Ice over water cave-in produces blocks of rock and "Unknown" 
related to 0001562confirmedlethosor Frozen shrubs display incorrectly when the ice melts 
related to 0003335needs feedbackDwarfu Dug out areas suddenly become 'undug' after re-embark without reclaim 
related to 0006330new Wall removal leads to permanent ice ground 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0011556)
toybasher (reporter)
2010-08-06 13:27

I ocne saw this exploring a glacier in adv mode, there were a few "Cracks" in the ground that when moved upon with the buggy alt move system I would be "Flying" but at any time I could just walk back on the ice on the sides of the cracks
(0019202)
Dwarfu (manager)
2011-12-20 07:19

Current DevLog mentions this issue and its relations having to do with ramps are potentially fixed in next version - will need to test/verify at release:

"...fixed a couple ancient problems with frozen ramps..."

http://www.bay12games.com/dwarves/index.html#2011-12-19 [^]
(0035171)
latias1290 (reporter)
2016-05-15 04:05

Timetravellers ahoy! I tried this in 43.02 and I could not reproduce the bug. So I say it was fixed either 31.26 or 34.01.

- Issue History
Date Modified Username Field Change
2010-04-16 21:49 Salabasama New Issue
2010-05-01 06:33 Footkerchief Relationship added has duplicate 0001671
2010-05-01 12:24 Footkerchief Relationship added child of 0001008
2010-06-07 12:37 Footkerchief Relationship added has duplicate 0002198
2010-06-08 08:50 Footkerchief Relationship replaced has duplicate 0001008
2010-06-08 08:53 Footkerchief Relationship added related to 0001670
2010-06-08 08:54 Footkerchief Relationship added related to 0001099
2010-06-27 19:29 Footkerchief Relationship added has duplicate 0000180
2010-06-27 19:29 Footkerchief Sticky Issue No => Yes
2010-06-27 20:12 Footkerchief Relationship added related to 0002487
2010-06-27 20:13 Footkerchief Relationship replaced parent of 0002487
2010-06-27 20:13 Footkerchief Relationship added parent of 0001982
2010-06-27 20:13 Footkerchief Relationship added related to 0000358
2010-07-25 14:25 Footkerchief Relationship added parent of 0001981
2010-07-25 14:35 Footkerchief Relationship added parent of 0001558
2010-07-25 14:36 Footkerchief Relationship deleted parent of 0002487
2010-08-06 13:27 toybasher Note Added: 0011556
2010-09-09 07:22 Sfon Issue Monitored: Sfon
2010-10-21 21:55 Logical2u Relationship added has duplicate 0003449
2011-01-03 12:42 Dwarfu Relationship added parent of 0003868
2011-01-25 08:56 Footkerchief Relationship added related to 0003905
2011-03-21 06:51 Footkerchief Relationship added related to 0001932
2011-03-30 13:39 Footkerchief Relationship added related to 0001562
2011-04-05 16:04 Footkerchief Relationship added parent of 0000227
2011-07-28 10:23 Footkerchief Relationship added has duplicate 0004742
2011-12-10 09:33 Logical2u Relationship added has duplicate 0004710
2011-12-20 07:19 Dwarfu Note Added: 0019202
2011-12-20 07:19 Dwarfu Tag Attached: Fixed in 0.31.26?
2012-02-14 05:12 Footkerchief Tag Renamed Fixed in 0.31.26? => Fixed in 0.34.01?
2014-01-28 06:14 Footkerchief Relationship added related to 0003335
2014-02-19 06:56 Footkerchief Relationship added related to 0006330
2016-05-15 04:05 latias1290 Note Added: 0035171


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker